Bug 830287 - Review Request: clojure-contrib - User contributions library for Clojure
Review Request: clojure-contrib - User contributions library for Clojure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 830278
Blocks: 830714 830784
  Show dependency treegraph
 
Reported: 2012-06-08 14:20 EDT by Michel Alexandre Salim
Modified: 2012-07-12 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 15:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-08 14:20:57 EDT
Spec URL: http://salimma.fedorapeople.org/specs/clojure/clojure-contrib.spec
SRPM URL: http://salimma.fedorapeople.org/specs/clojure/clojure-contrib-1.2.0-1.fc17.src.rpm
Description: 
The user contributions library, clojure-contrib, is a collection of
namespaces implementing features that may be useful to a large part of
the Clojure community.

It includes namespaces for math utilities, string manipulation,
sequence manipulation, json read and write and many more.

Fedora Account System Username: salimma
Comment 1 Peter Lemenkov 2012-06-28 07:12:44 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-28 07:53:15 EDT
Koji scratchbuild for F-18:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4204258

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent (except of false positive misspelling-related messages and bogus mnessage re\garding GitHub sources)

work ~/Desktop: rpmlint clojure-contrib-1.2.0-1.fc18.*
clojure-contrib.noarch: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
clojure-contrib.noarch: W: spelling-error %description -l en_US json -> son, j son
clojure-contrib.src: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
clojure-contrib.src: W: spelling-error %description -l en_US json -> son, j son
clojure-contrib.src: W: invalid-url Source0: clojure-clojure-contrib-1.2.0-0-g2a4e52d.tar.gz
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
work ~/Desktop:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines. (See also these ones - http://fedoraproject.org/wiki/Packaging:Java )
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Eclipse Public License as stated in README.txt).
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum clojure-clojure-contrib-1.2.0-0-g2a4e52d.tar.gz*
f0d93ce686fe3d8c395bcbb1d5fca236fc8c8c785a768b11cd7fd63ad98bbfcb  clojure-clojure-contrib-1.2.0-0-g2a4e52d.tar.gz
f0d93ce686fe3d8c395bcbb1d5fca236fc8c8c785a768b11cd7fd63ad98bbfcb  clojure-clojure-contrib-1.2.0-0-g2a4e52d.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


I don't see any issues so this package is

APPROVED.
Comment 3 Michel Alexandre Salim 2012-06-28 12:23:22 EDT
Thanks!

New Package SCM Request
=======================
Package Name: clojure-contrib 
Short Description: User contributions library for Clojure
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 4 Jon Ciesla 2012-06-28 12:25:46 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-02 00:15:18 EDT
clojure-contrib-1.2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clojure-contrib-1.2.0-1.fc17
Comment 6 Fedora Update System 2012-07-02 18:30:05 EDT
clojure-contrib-1.2.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-07-12 15:00:42 EDT
clojure-contrib-1.2.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.